Package com.evopdf

# Class PathElement

java.lang.Object
com.evopdf.PageElement
com.evopdf.PageGraphicElement
com.evopdf.PathElement

public class PathElement extends PageGraphicElement
Represents a graphic path element to be rendered in a PDF document

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PathElement(PointFloat startPoint)`
  Creates a graphic path element

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addBezierCurveSegment(PointFloat startPoint, PointFloat directionPoint, PointFloat endPoint)`
  Adds a Bezier curve to path
  `void`
  `addLineSegment(PointFloat endPoint)`
  Adds a line to path
  `boolean`
  `closePath()`
  Gets the flag indicating if the path should be automatically closed
  `void`
  `setClosePath(boolean closePath)`
  Sets the flag indicating if the path should be automatically closed.

  ### Methods inherited from class com.evopdf.PageGraphicElement

  `backColor, blending, clipRectangle, foreColor, gradient, lineStyle, opacity, rotate, scale, setBackColor, setBlending, setClipRectangle, setForeColor, setGradient, setLineStyle, setOpacity, skew, translate`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PathElement

    public PathElement(PointFloat startPoint)
    Creates a graphic path element
    Parameters:
      `startPoint` - the path start point

- ## Method Details

  - ### closePath

    public boolean closePath()
    Gets the flag indicating if the path should be automatically closed
    Returns:
      the flag value

  - ### setClosePath

    public void setClosePath(boolean closePath)
    Sets the flag indicating if the path should be automatically closed. By default this property is false and the path is not closed
    Parameters:
      `closePath` - the flag value to set

  - ### addBezierCurveSegment

    public void addBezierCurveSegment(PointFloat startPoint, PointFloat directionPoint, PointFloat endPoint)
    Adds a Bezier curve to path
    Parameters:
      `startPoint` - the Bezier curve segment start point
      `directionPoint` - the Bezier curve segment direction point
      `endPoint` - the Bezier curve segment end point

  - ### addLineSegment

    public void addLineSegment(PointFloat endPoint)
    Adds a line to path
    Parameters:
      `endPoint` - the line end point